summaryrefslogtreecommitdiffstats
path: root/remote/modules/brazilian/data/opt/openslx/scripts
diff options
context:
space:
mode:
authorMichael Pereira Neves2014-03-24 19:05:26 +0100
committerMichael Pereira Neves2014-03-24 19:05:26 +0100
commit487acf88f9087780acfcc0341e897b035f47a2ad (patch)
treeaff016b8201d03be15ca24fd05b4d68a4d871562 /remote/modules/brazilian/data/opt/openslx/scripts
parent[doc] update doc, add doc for kcl vars (diff)
downloadtm-scripts-487acf88f9087780acfcc0341e897b035f47a2ad.tar.gz
tm-scripts-487acf88f9087780acfcc0341e897b035f47a2ad.tar.xz
tm-scripts-487acf88f9087780acfcc0341e897b035f47a2ad.zip
[brazilian] add brazilian locale and keymaps
Diffstat (limited to 'remote/modules/brazilian/data/opt/openslx/scripts')
-rw-r--r--remote/modules/brazilian/data/opt/openslx/scripts/systemd-load_brazilian_keymaps22
1 files changed, 22 insertions, 0 deletions
diff --git a/remote/modules/brazilian/data/opt/openslx/scripts/systemd-load_brazilian_keymaps b/remote/modules/brazilian/data/opt/openslx/scripts/systemd-load_brazilian_keymaps
new file mode 100644
index 00000000..190104b9
--- /dev/null
+++ b/remote/modules/brazilian/data/opt/openslx/scripts/systemd-load_brazilian_keymaps
@@ -0,0 +1,22 @@
+#!/bin/ash
+# Script serves as container script for a systemd-call due to the buggyness of several
+# loadkeys-implementations <= kbd (Linux keyboard tools) 1.15.3.
+# This bug can be detected through failure of the command pipe 'dumpkeys|loadkeys' yielding
+# the message "unknown keysym 'compose'.
+
+# So we first try to insert a keymap including compose-lines:
+loadkeys /opt/openslx/keymaps/brazilian_qwerty_compose_keyboard_translation.map
+ERR=$?
+
+# ... if this fails we enter a keymap without compose-lines:
+if [ "$ERR" -eq 0 ]; then
+ exit 0 # in that case everything went smooth - exit.
+fi
+
+loadkeys /opt/openslx/keymaps/brazilian_qwerty_keyboard_translation.map # insert a keymap without compose lines
+ERR=$?
+
+# if at this point the second keymap insertion failed we pass the errorlevel to
+# systemd - we cannot do more at this point.
+exit $ERR
+